Index: /pjproject/branches/pjproject-0.2/pjlib/build/pjlib.dsp
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/build/pjlib.dsp	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/build/pjlib.dsp	(revision 91)
Index: /pjproject/branches/pjproject-0.2/pjlib/build/pjlib.dsw
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/build/pjlib.dsw	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/build/pjlib.dsw	(revision 91)
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/array.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/array.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/array.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/array.c 2     2/24/05 10:34a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/array.c,v 1.1 2005/12/02 20:02:28 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/array.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/array.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/array.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/array.h 3     5/05/05 11:34p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/array.h,v 1.1 2005/12/02 20:02:28 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/array_i.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/array_i.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/array_i.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/array_i.h 2     2/24/05 10:34a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/array_i.h,v 1.1 2005/12/02 20:02:28 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/compat.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/compat.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/compat.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/compat.h 6     8/24/05 10:27a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/compat.h,v 1.1 2005/12/02 20:02:28 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/config.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/config.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/config.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/config.c 3     5/28/05 7:12a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/config.c,v 1.1 2005/12/02 20:02:28 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
@@ -38,5 +38,7 @@
 #if defined(PJ_WIN32)
     PJ_LOG(3, (id, " PJ_WIN32                 : %d", PJ_WIN32));
+#if defined(PJ_WIN32_WINNT)
     PJ_LOG(3, (id, " PJ_WIN32_WINNT           : %d", PJ_WIN32_WINNT));
+#endif
 #endif
 #if defined(PJ_LINUX)
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/config.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/config.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/config.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/config.h 7     5/28/05 11:00a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/config.h,v 1.1 2005/12/02 20:02:28 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
@@ -28,5 +28,5 @@
 
 #ifndef PJ_HAS_SYS_TYPES_H   
-#  define PJ_HAS_SYS_TYPES_H	    1
+#  define PJ_HAS_SYS_TYPES_H	    0
 #endif
 #ifndef PJ_HAS_STDDEF_H	
@@ -74,4 +74,11 @@
 #endif
 
+#ifdef _WIN32_WCE
+#  undef  PJ_WIN32
+#  define PJ_WIN32		    2
+#  define PJ_WIN32_WINCE	1
+#  define PJ_GUID_TYPE	    1
+#endif
+
 /*
  * Linux
@@ -86,5 +93,5 @@
  */
 #ifndef PJ_HAS_HIGH_RES_TIMER
-#  define PJ_HAS_HIGH_RES_TIMER	    1
+#  define PJ_HAS_HIGH_RES_TIMER	    0
 #endif
 
@@ -93,5 +100,5 @@
  */
 #if !defined(PJ_HAS_PENTIUM)
-#  define PJ_HAS_PENTIUM	    1
+#  define PJ_HAS_PENTIUM	    0
 #endif
 
@@ -121,5 +128,5 @@
  * I/O Queue uses IOCP on WinNT, and fallback to select() on others
  */
-#if defined(PJ_WIN32) && defined(PJ_WIN32_WINNT) && PJ_WIN32_WINNT >= 0x0400
+#if defined(PJ_WIN32) //&& defined(PJ_WIN32_WINNT) && PJ_WIN32_WINNT >= 0x0400
 #  define PJ_IOQUEUE_USE_WIN32_IOCP (0)
 #  define PJ_IOQUEUE_USE_SELECT     (1)
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/except.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/except.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/except.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/except.c 2     2/24/05 10:34a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/except.c,v 1.1 2005/12/02 20:02:29 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/except.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/except.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/except.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/except.h 5     6/14/05 2:15p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/except.h,v 1.1 2005/12/02 20:02:29 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/fifobuf.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/fifobuf.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/fifobuf.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/fifobuf.c 2     2/24/05 10:34a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/fifobuf.c,v 1.1 2005/12/02 20:02:29 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/fifobuf.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/fifobuf.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/fifobuf.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/fifobuf.h 2     2/24/05 10:34a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/fifobuf.h,v 1.1 2005/12/02 20:02:29 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/fwd.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/fwd.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/fwd.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/fwd.h 2     2/24/05 10:34a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/fwd.h,v 1.1 2005/12/02 20:02:29 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/guid.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/guid.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/guid.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/guid.c 9     6/14/05 2:15p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/guid.c,v 1.1 2005/12/02 20:02:29 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
@@ -40,4 +40,10 @@
 #ifndef PJ_GUID_TYPE
 # define PJ_GUID_TYPE	    PJ_GUID_SIMPLE
+#endif
+
+#if defined(PJ_WIN32_WINCE) && PJ_GUID_TYPE==PJ_GUID_COCREATEGUID
+#include <windows.h>
+#include <winsock2.h>
+#include <wincrypt.h>
 #endif
 
@@ -272,5 +278,32 @@
 {
     GUID guid;
+#if !defined(PJ_WIN32_WINCE)
     CoCreateGuid(&guid);
+#else
+	char bits[16];
+	HCRYPTPROV hCryptProv = 0;
+
+	if (!CryptAcquireContext(&hCryptProv, NULL, NULL, PROV_RSA_FULL, CRYPT_VERIFYCONTEXT)) {
+		return NULL;
+	}
+
+    if (!CryptGenRandom(hCryptProv, 16, bits)) {
+		return NULL;
+    }
+
+	// set the variant
+    bits[8] &= 0x3f;
+    bits[8] |= 2 << 6;
+
+    // set the version
+    bits[7] &= 0x0f;
+    bits[7] |= 4 << 4;
+
+    if (hCryptProv != 0)
+       CryptReleaseContext(hCryptProv, 0);
+
+    pj_memcpy(&guid, bits, 16);
+#endif // WINCE
+
     pj_guid_to_str( &guid, str );
     return str;
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/hash.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/hash.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/hash.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/hash.c 5     5/12/05 9:53p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/hash.c,v 1.1 2005/12/02 20:02:29 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/hash.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/hash.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/hash.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/hash.h 4     5/05/05 11:34p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/hash.h,v 1.1 2005/12/02 20:02:29 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/ioqueue.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/ioqueue.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/ioqueue.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/ioqueue.h 6     5/16/05 10:12p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/ioqueue.h,v 1.1 2005/12/02 20:02:29 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/ioqueue_select.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/ioqueue_select.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/ioqueue_select.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/ioqueue_select.c 9     6/21/05 12:37a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/ioqueue_select.c,v 1.1 2005/12/02 20:02:29 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/ioqueue_winnt.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/ioqueue_winnt.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/ioqueue_winnt.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/ioqueue_winnt.c 7     5/24/05 12:16a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/ioqueue_winnt.c,v 1.1 2005/12/02 20:02:29 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/list.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/list.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/list.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/list.c 2     2/24/05 10:34a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/list.c,v 1.1 2005/12/02 20:02:29 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/list.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/list.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/list.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/list.h 6     8/24/05 10:27a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/list.h,v 1.1 2005/12/02 20:02:29 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/list_i.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/list_i.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/list_i.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/list_i.h 2     2/24/05 10:34a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/list_i.h,v 1.1 2005/12/02 20:02:29 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/log.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/log.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/log.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/log.c 4     6/13/05 9:35p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/log.c,v 1.1 2005/12/02 20:02:29 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/log.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/log.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/log.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/log.h 4     6/13/05 9:35p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/log.h,v 1.1 2005/12/02 20:02:29 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/log_stdout.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/log_stdout.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/log_stdout.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/log_stdout.c 1     6/13/05 7:09p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/log_stdout.c,v 1.1 2005/12/02 20:02:29 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
@@ -23,4 +23,6 @@
 #include <pj/log.h>
 #include <pj/os.h>
+
+#if !defined(PJ_WIN32_WINCE)
 
 #define CLR_FATAL    (PJ_TERM_COLOR_BRIGHT | PJ_TERM_COLOR_R)
@@ -61,2 +63,14 @@
 }
 
+#else
+
+static void term_set_color(int level)
+{
+}
+
+PJ_DEF(void) pj_log_to_stdout(int level, const char *buffer, int len)
+{
+}
+
+#endif
+
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/md5.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/md5.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/md5.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/md5.c 2     4/17/05 11:59a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/md5.c,v 1.1 2005/12/02 20:02:29 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
@@ -44,5 +44,5 @@
 
  */
-/* $Id: md5.c,v 1.6 2002/04/13 19:20:28 lpd Exp $ */
+/* $Id: md5.c,v 1.1 2005/12/02 20:02:29 nn Exp $ */
 /*
   Independent implementation of MD5 (RFC 1321).
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/md5.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/md5.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/md5.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/md5.h 3     5/05/05 11:34p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/md5.h,v 1.1 2005/12/02 20:02:29 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
@@ -44,5 +44,5 @@
 
  */
-/* $Id: md5.h,v 1.4 2002/04/13 19:20:28 lpd Exp $ */
+/* $Id: md5.h,v 1.1 2005/12/02 20:02:29 nn Exp $ */
 /*
   Independent implementation of MD5 (RFC 1321).
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/os.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/os.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/os.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/os.h 6     5/05/05 11:34p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/os.h,v 1.1 2005/12/02 20:02:30 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/os_unix.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/os_unix.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/os_unix.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/os_unix.c 5     6/24/05 4:38p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/os_unix.c,v 1.1 2005/12/02 20:02:30 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/os_win32.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/os_win32.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/os_win32.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/os_win32.c 7     6/21/05 12:37a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/os_win32.c,v 1.1 2005/12/02 20:02:30 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
@@ -27,5 +27,70 @@
 #include <pj/guid.h>
 #include <stddef.h>
-#include <sys/timeb.h>
+#ifndef PJ_WIN32_WINCE
+#  include <sys/timeb.h>
+#else
+
+#  include <windows.h>
+
+struct timeb {
+	time_t time;
+	unsigned short millitm;
+};
+
+static void ftime( struct timeb *tb )
+{
+	SYSTEMTIME st;
+	int days, years, leapyears;
+	
+	if(tb == NULL)
+	{
+		//nlSetError(NL_NULL_POINTER);
+		assert(tb);
+		return;
+	}
+	GetSystemTime(&st);
+	leapyears = (st.wYear - 1970 + 1) / 4;
+	years = st.wYear - 1970 - leapyears;
+	
+	days = years * 365 + leapyears * 366;
+	
+	switch (st.wMonth) {
+	case 1:
+	case 3:
+	case 5:
+	case 7:
+	case 8:
+	case 10:
+	case 12:
+		days += 31;
+		break;
+	case 4:
+	case 6:
+	case 9:
+	case 11:
+		days += 30;
+		break;
+	case 2:
+		days += (st.wYear%4 == 0) ? 29 : 28;
+		break;
+	default:
+		break;
+	}
+	days += st.wDay;
+	tb->time = days * 86400 + st.wHour * 3600 + st.wMinute * 60 + st.wSecond;
+	tb->millitm = st.wMilliseconds;
+}
+
+time_t time(time_t *t)
+{
+	struct timeb tb;
+	
+	ftime(&tb);
+	*t = tb.time;
+	
+	return *t;
+} 
+#endif
+
 #include <time.h>
 #include <stdlib.h>
@@ -321,4 +386,6 @@
 #if defined(PJ_WIN32_WINNT) && PJ_WIN32_WINNT >= 0x0400
     return InterlockedIncrement(&atomic_var->value);
+#elif defined(PJ_WIN32_WINCE)
+    return InterlockedIncrement(&atomic_var->value);
 #else
 #   error Fix Me
@@ -332,4 +399,6 @@
 #if defined(PJ_WIN32_WINNT) && PJ_WIN32_WINNT >= 0x0400
     return InterlockedDecrement(&atomic_var->value);
+#elif defined(PJ_WIN32_WINCE)
+    return InterlockedIncrement(&atomic_var->value);
 #else
 #   error Fix me
@@ -664,6 +733,19 @@
 PJ_DEF(pj_status_t) pj_time_decode(const pj_time_val *tv, pj_parsed_time *pt)
 {
+    #if defined(PJ_WIN32_WINCE)
+	SYSTEMTIME local_time;
+    GetLocalTime(&local_time);
+	
+    pt->year = local_time.wYear;
+    pt->mon = local_time.wMonth;
+    pt->day = local_time.wDay;
+    pt->hour = local_time.wHour;
+    pt->min = local_time.wMinute;
+    pt->sec = local_time.wSecond;
+    pt->wday = local_time.wDayOfWeek;
+    pt->yday = 0; //note this
+    pt->msec = local_time.wMilliseconds;
+#else
     struct tm *local_time;
-
     local_time = localtime((time_t*)&tv->sec);
 
@@ -677,4 +759,6 @@
     pt->yday = local_time->tm_yday;
     pt->msec = tv->msec;
+#endif
+
 
     return PJ_OK;
@@ -701,4 +785,5 @@
  * Terminal
  */
+#if !defined(PJ_WIN32_WINCE)
 
 static WORD pj_color_to_os_attr(pj_color_t color)
@@ -758,2 +843,34 @@
 }
 
+#else
+
+static short pj_color_to_os_attr(pj_color_t color)
+{
+     return 0;
+}
+
+static pj_color_t os_attr_to_pj_color(short attr)
+{
+    return 0;
+}
+
+
+/**
+ * Set terminal color.
+ */
+PJ_DEF(pj_status_t) pj_term_set_color(pj_color_t color)
+{
+    return PJ_OK;
+}
+
+/**
+ * Get current terminal foreground color.
+ */
+PJ_DEF(pj_color_t) pj_term_get_color(void)
+{
+    return 0;
+}
+
+
+#endif
+
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/pool.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/pool.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/pool.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/pool.c 5     5/24/05 10:29p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/pool.c,v 1.1 2005/12/02 20:02:30 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/pool.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/pool.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/pool.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/pool.h 8     6/14/05 2:15p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/pool.h,v 1.1 2005/12/02 20:02:30 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/pool_caching.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/pool_caching.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/pool_caching.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/pool_caching.c 3     6/14/05 2:15p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/pool_caching.c,v 1.1 2005/12/02 20:02:30 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/pool_dbg_win32.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/pool_dbg_win32.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/pool_dbg_win32.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/pool_dbg_win32.c 2     2/24/05 10:34a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/pool_dbg_win32.c,v 1.1 2005/12/02 20:02:30 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/pool_i.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/pool_i.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/pool_i.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/pool_i.h 3     5/12/05 9:53p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/pool_i.h,v 1.1 2005/12/02 20:02:30 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/pool_policy.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/pool_policy.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/pool_policy.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/pool_policy.c 1     5/12/05 9:53p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/pool_policy.c,v 1.1 2005/12/02 20:02:30 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/rbtree.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/rbtree.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/rbtree.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/rbtree.c 3     4/17/05 11:59a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/rbtree.c,v 1.1 2005/12/02 20:02:30 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/rbtree.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/rbtree.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/rbtree.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/rbtree.h 3     4/17/05 11:59a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/rbtree.h,v 1.1 2005/12/02 20:02:30 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/scanner.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/scanner.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/scanner.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/scanner.c 5     6/04/05 4:29p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/scanner.c,v 1.1 2005/12/02 20:02:30 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
@@ -495,5 +495,6 @@
 	return -1;
     }
-    return strnicmp(scanner->current, s, len);
+    //return strnicmp(scanner->current, s, len);
+    return strncasecmp(scanner->current, s, len);
 }
 
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/scanner.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/scanner.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/scanner.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/scanner.h 7     6/04/05 4:29p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/scanner.h,v 1.1 2005/12/02 20:02:30 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/scanner_i.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/scanner_i.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/scanner_i.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/scanner_i.h 4     6/04/05 4:29p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/scanner_i.h,v 1.1 2005/12/02 20:02:30 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/sock.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/sock.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/sock.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/sock.c 5     5/28/05 9:59a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/sock.c,v 1.1 2005/12/02 20:02:30 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
@@ -23,5 +23,7 @@
 #include <pj/sock.h>
 #include <pj/pool.h>
+#if !PJ_WIN32_WINCE
 #include <errno.h>
+#endif
 
 #if !PJ_FUNCTIONS_ARE_INLINED
@@ -125,5 +127,5 @@
 PJ_DEF(pj_status_t) pj_sock_getlasterror(void)
 {
-#if defined(PJ_WIN32) && PJ_WIN32==1
+#if defined(PJ_WIN32) && (PJ_WIN32==1 || PJ_WIN32==2)
     return WSAGetLastError();
 #else
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/sock.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/sock.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/sock.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/sock.h 7     5/28/05 9:59a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/sock.h,v 1.1 2005/12/02 20:02:30 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
@@ -37,4 +37,6 @@
 #  define WIN32_LEAN_AND_MEAN
 #  include <winsock2.h>
+#elif defined(PJ_WIN32_WINCE) && PJ_WIN32_WINCE==1
+#  include <winsock.h>
 #else
 #  include <sys/types.h>
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/sock_i.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/sock_i.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/sock_i.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/sock_i.h 3     5/24/05 12:14a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/sock_i.h,v 1.1 2005/12/02 20:02:30 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
@@ -150,5 +150,5 @@
 				   pj_uint32_t *val)
 {
-#if defined(PJ_WIN32) && PJ_WIN32==1
+#if defined(PJ_WIN32) && (PJ_WIN32==1 || PJ_WIN32==2)
     return ioctlsocket(sock, cmd, (unsigned long*)val);
 #else
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/string.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/string.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/string.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/string.c 6     6/14/05 2:15p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/string.c,v 1.1 2005/12/02 20:02:30 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
@@ -25,4 +25,51 @@
 #include <ctype.h>	/* isspace() */
 #include <stdlib.h>	/* rand() */
+
+#if defined(PJ_WIN32_WINCE)
+
+int strncasecmp( const char *s1, const char *s2, size_t count ) {
+	int i;
+	char *r1 = s1;
+	char *r2 = s2;
+
+	for (i=0; i<count; i++) {
+		if (*r1=='\0' && *r2=='\0')
+			break;
+		if (*r1=='\0' || *r2=='\0')
+			return -1;
+		if (tolower(*r1)!=tolower(*r2)) {
+			return -1;
+		}
+		r1++;
+		r2++;
+	}
+	
+	return 0;
+}
+
+int strcasecmp( const char *s1, const char *s2 )
+{
+	int i = 0;
+	char *r1 = s1;
+	char *r2 = s2;
+
+	while (1) {
+		if (*r1=='\0' && *r2=='\0')
+			break;
+		if (*r1=='\0' || *r2=='\0')
+			return -1;
+		if (tolower(*r1)!=tolower(*r2)) {
+			return -1;
+		}
+		r1++;
+		r2++;
+		i++;
+		if (i>1024) return -1;
+	}
+	
+	return 0;
+}
+
+#endif
 
 #if PJ_FUNCTIONS_ARE_INLINED==0
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/string.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/string.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/string.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/string.h 5     6/14/05 2:15p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/string.h,v 1.1 2005/12/02 20:02:30 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
@@ -33,15 +33,12 @@
 #include <string.h>
 
-PJ_BEGIN_DECL
-
-/**
- * @defgroup PJ_PSTR String Operations
- * @ingroup PJ_DS
- * @{
- */
-
 #if defined(PJ_WIN32) && PJ_WIN32==1
 #  define strcasecmp	stricmp
 #  define strncasecmp	strnicmp
+#  define snprintf	_snprintf
+#  define vsnprintf	_vsnprintf	
+#elif defined(PJ_WIN32_WINCE)
+//#  define strcasecmp	stricmp
+//#  define strncasecmp	strnicmp
 #  define snprintf	_snprintf
 #  define vsnprintf	_vsnprintf	
@@ -51,4 +48,13 @@
 #endif
 
+
+PJ_BEGIN_DECL
+
+/**
+ * @defgroup PJ_PSTR String Operations
+ * @ingroup PJ_DS
+ * @{
+ */
+
 /**
  * Create string initializer from a normal C string.
@@ -387,7 +393,9 @@
  * @return the number of characters printed.
  */
-#ifdef PJ_WIN32
+#if defined(PJ_WIN32) && !defined(PJ_WIN32_WINCE)
+#   define pj_vsnprintf _vsnprintf 
 #   define pj_snprintf _snprintf
 #else
+#   define pj_vsnprintf vsnprintf
 #   define pj_snprintf snprintf
 #endif
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/string_i.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/string_i.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/string_i.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/string_i.h 5     8/31/05 9:05p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/string_i.h,v 1.1 2005/12/02 20:02:30 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
@@ -201,5 +201,5 @@
 	return (int)diff;
     } else {
-	return strnicmp(str1->ptr, str2->ptr, str1->slen);
+	return strncasecmp(str1->ptr, str2->ptr, str1->slen);//return strnicmp(str1->ptr, str2->ptr, str1->slen);
     }
 }
@@ -207,6 +207,6 @@
 PJ_IDEF(int) pj_stricmp2( const pj_str_t *str1, const char *str2)
 {
-    return (str1->ptr && str2) ? strnicmp(str1->ptr, str2, str1->slen) :
-	   (str1->ptr==str2 ? 0 : 1);
+    return (str1->ptr && str2) ? strncasecmp(str1->ptr, str2, str1->slen) ://return (str1->ptr && str2) ? strnicmp(str1->ptr, str2, str1->slen) : 
+	    (str1->ptr==str2 ? 0 : 1);
 }
 
@@ -214,6 +214,6 @@
 			  pj_size_t len)
 {
-    return (str1->ptr && str2->ptr) ? strnicmp(str1->ptr, str2->ptr, len) :
-	   (str1->ptr == str2->ptr ? 0 : 1);
+    return (str1->ptr && str2->ptr) ? strncasecmp(str1->ptr, str2->ptr, len) ://return (str1->ptr && str2->ptr) ? strnicmp(str1->ptr, str2->ptr, len) : 
+	    (str1->ptr == str2->ptr ? 0 : 1);
 }
 
@@ -221,5 +221,5 @@
 			   pj_size_t len)
 {
-    return (str1->ptr && str2) ? strnicmp(str1->ptr, str2, len) :
+    return (str1->ptr && str2) ? strncasecmp(str1->ptr, str2, len) ://return (str1->ptr && str2) ? strnicmp(str1->ptr, str2, len) :
 	   (str1->ptr == str2 ? 0 : 1);
 }
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/timer.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/timer.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/timer.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/timer.c 4     5/03/05 9:07a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/timer.c,v 1.1 2005/12/02 20:02:31 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/timer.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/timer.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/timer.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/timer.h 5     5/03/05 9:07a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/timer.h,v 1.1 2005/12/02 20:02:31 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/timer_i.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/timer_i.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/timer_i.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/timer_i.h 2     2/24/05 10:34a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/timer_i.h,v 1.1 2005/12/02 20:02:31 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/types.c
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/types.c	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/types.c	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/types.c 2     2/24/05 10:34a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/types.c,v 1.1 2005/12/02 20:02:31 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/types.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/types.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/types.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/types.h 7     5/12/05 9:53p Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/types.h,v 1.1 2005/12/02 20:02:31 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
Index: /pjproject/branches/pjproject-0.2/pjlib/src/pj/xml.h
===================================================================
--- /pjproject/branches/pjproject-0.2/pjlib/src/pj/xml.h	(revision 90)
+++ /pjproject/branches/pjproject-0.2/pjlib/src/pj/xml.h	(revision 91)
@@ -1,3 +1,3 @@
-/* $Header: /pjproject/pjlib/src/pj/xml.h 2     6/17/05 12:27a Bennylp $ */
+/* $Header: /cvs/pjproject-0.2.9.3/pjlib/src/pj/xml.h,v 1.1 2005/12/02 20:02:31 nn Exp $ */
 /* 
  * PJLIB - PJ Foundation Library
